// HullLine.h: interface for the CHullLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HULLLINE_H__3809BF0F_FD2C_4947_B64B_ACD4E4C283C9__INCLUDED_)
#define AFX_HULLLINE_H__3809BF0F_FD2C_4947_B64B_ACD4E4C283C9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Point.h"
#include <afxtempl.h>

class CHullLine  
{
public:
	void ResetHPtArray();
	void QuickSortPtsBasedOnX(CHullPoint InputPt[], int Num);
	void CalculateConvexHull();
	void AddPoint(double x, double y);
	void DrawLine(BOOL IsLoop);
	CHullLine();
	virtual ~CHullLine();

	CArray<CHullPoint*, CHullPoint*> PtArray;
    int PtNum;

	CArray<CHullPoint*, CHullPoint*> HPtArray;

    double IsPoint2DLeft(CHullPoint P0, CHullPoint P1, CHullPoint P2);
	int ConvexHull2D(CHullPoint P[], CHullPoint H[], int n);
};

#endif // !defined(AFX_HULLLINE_H__3809BF0F_FD2C_4947_B64B_ACD4E4C283C9__INCLUDED_)
