// ZiyooHullView.h : interface of the CZiyooHullView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ZIYOOHULLVIEW_H__F7324316_51E3_44B5_8C77_D821FFDF5E6D__INCLUDED_)
#define AFX_ZIYOOHULLVIEW_H__F7324316_51E3_44B5_8C77_D821FFDF5E6D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CZiyooHullView : public CView
{
protected: // create from serialization only
	CZiyooHullView();
	DECLARE_DYNCREATE(CZiyooHullView)

// Attributes
public:
	CZiyooHullDoc* GetDocument();

	HCURSOR m_hRotateCursor, m_hZoomScaleCursor, m_hZoomMoveCursor, m_hArrowCursor, m_hSelectCursor;
	double  scalefactor ;
	double window_scale ;
	GLint  viewport_left   ;
	GLint  viewport_bottom ;
	GLsizei viewport_width ;
	GLsizei viewport_heigth ;
	double ViewportOffset_x ; 
	double ViewportOffset_y ;
	double ViewportOffset_z ;
	double x_angle, y_angle, z_angle ;
	double	 left, right, bottom, top;
	CClientDC	*m_pDC;
	HGLRC m_hglrc;
	CRect m_oldRect ;
	double Aspect ; 
	UINT m_zoomOperation ;

    double ModelMatrix[16];
	double ProjeMatrix[16];
    int Viewport[4];

	double ModelMatrix_coord[16];
	double ProjeMatrix_coord[16];

    BOOL m_LBDown;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZiyooHullView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	void DrawScreen();
	void OpenGLInit();
	virtual ~CZiyooHullView();

	void SettingLight();
	BOOL bSetupPixelFormat();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CZiyooHullView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnCalculateHull();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ZiyooHullView.cpp
inline CZiyooHullDoc* CZiyooHullView::GetDocument()
   { return (CZiyooHullDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZIYOOHULLVIEW_H__F7324316_51E3_44B5_8C77_D821FFDF5E6D__INCLUDED_)
